Subject: Re: bug#42147: 28.0.50; pure vs side-effect-free, missing optimizations?

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Jul 2020 10:28:30 -0400

>> > I wouldn't know about side effects, but `kbd' is definitely not pure
>> > by the "homomorphism w.r.t. eql" definition as it takes a string
>> > argument.
>> Taking string arguments is not a problem (`eql` strings are also `equal`).
> Only if the strings aren't modified between two invocations.

Indeed, you're right.  In practice this is not a problem, for all kinds
of circumstantial reasons, but in theory you're quite right.

        Stefan